// include linAl sources
//#include <LinAl/matrixCF.h>
#ifndef RAD_IM
#define RAD_IM

#include <nr/nrutil.h>
#include <nr/nr.h>

#include "MyMatrix.h"
// include stl sources
#include <string>

// include c sources
#include <stdio.h>

using namespace std;
//using namespace LinAl;
using namespace NR;
// class RadiographyImage
// Class that provides image functionality such as:
// - histogram caluclation
// - ...
//
//
typedef unsigned short DataType;
typedef MyMatrix<DataType> MatrixType;

class RadiographyImage {
  public:
 
    // Constructor
    // reads data out of specified file and writes it into member _ImgData
    RadiographyImage(const string& name, unsigned int size, bool inverted);
    
  private:
    // private member functions
    void readImage(unsigned int size, bool inverted);
    
    // private members
    // name and path of image data file
    const string _imgStr;
    // size of image (quadratic)
    //const unsigned int _size;

    // image data
    MatrixType* _imageData;
 
};

#endif

